HTMLAugmentations (NekoHTML 1.9.14 Implementation)
Date: 2010-02-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cyberneko.html
Class HTMLAugmentations

    java.lang.Object
      org.cyberneko.html.HTMLAugmentations

All Implemented Interfaces:
  org.apache.xerces.xni.Augmentations

    public class HTMLAugmentations

extends java.lang.Object
implements org.apache.xerces.xni.Augmentations

This class is here to overcome the XNI changes to the `Augmentations` interface. In early versions of XNI, the augmentations interface contained a `clear()` method to remove all of the items from the augmentations instance. A later version of XNI changed this method to `removeAllItems()`. Therefore, this class extends the augmentations interface and explicitly implements both of these methods.

Note: This code is inspired by performance enhancements submitted by Marc-André Morissette.

Author:
  Andy Clark

Field Summary
`protected java.util.Hashtable` | `fItems` Augmentation items.

Constructor Summary
`HTMLAugmentations()`

Method Summary
`void` | `clear()` Removes all of the elements in this augmentations object.
`java.lang.Object` | `getItem(java.lang.String key)` Get information identified by a key from the Augmentations structure.
`java.util.Enumeration` | `keys()` Returns an enumeration of the keys in the Augmentations structure.
`java.lang.Object` | `putItem(java.lang.String key, java.lang.Object item)` Add additional information identified by a key to the Augmentations structure.
`void` | `removeAllItems()` Removes all of the elements in this augmentations object.
`java.lang.Object` | `removeItem(java.lang.String key)` Remove additional info from the Augmentations structure

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fItems

    protected final java.util.Hashtable fItems

  Augmentation items.

Constructor Detail

### HTMLAugmentations

    public HTMLAugmentations()

Method Detail

### removeAllItems

    public void removeAllItems()

  Removes all of the elements in this augmentations object.

  Specified by:
    `removeAllItems` in interface `org.apache.xerces.xni.Augmentations`

### clear

    public void clear()

  Removes all of the elements in this augmentations object.

### putItem

    public java.lang.Object putItem(java.lang.String key,
                                    java.lang.Object item)

  Add additional information identified by a key to the Augmentations structure.

  Specified by:
    `putItem` in interface `org.apache.xerces.xni.Augmentations`
  Parameters:
    `key` - Identifier, can't be `null`
    `item` - Additional information
  Returns:
    The previous value of the specified key in the Augmentations structure, or `null` if it did not have one.

### getItem

    public java.lang.Object getItem(java.lang.String key)

  Get information identified by a key from the Augmentations structure.

  Specified by:
    `getItem` in interface `org.apache.xerces.xni.Augmentations`
  Parameters:
    `key` - Identifier, can't be `null`
  Returns:
    The value to which the key is mapped in the Augmentations structure; `null` if the key is not mapped to any value.

### removeItem

    public java.lang.Object removeItem(java.lang.String key)

  Remove additional info from the Augmentations structure

  Specified by:
    `removeItem` in interface `org.apache.xerces.xni.Augmentations`
  Parameters:
    `key` - Identifier, can't be `null`
  Returns:
    The previous value of the specified key in the Augmentations structure, or `null` if it did not have one.

### keys

    public java.util.Enumeration keys()

  Returns an enumeration of the keys in the Augmentations structure.

  Specified by:
    `keys` in interface `org.apache.xerces.xni.Augmentations`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright 2002-2008, Andy Clark, Marc Guillemot. All rights reserved.